org.icefaces.ace.component.column

## Class Column

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIColumn
      - - org.icefaces.ace.component.column.ColumnBase
        - - org.icefaces.ace.component.column.Column

- All Implemented Interfaces:
    java.io.Serializable, java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IColumn, IProxiableColumn

      public class Column
      extends ColumnBase
      implements IProxiableColumn, java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.component.column.ColumnBase

      `ColumnBase.PropertyKeys`

  - ### Field Summary

    - ### Fields inherited from class org.icefaces.ace.component.column.ColumnBase

      `COMPONENT_TYPE, RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIColumn

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Column()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataTable` | `findParentTable()`
    `CellEditor` | `getCellEditor()`
    `int` | `getCurrGroupLength()`
    `protected javax.faces.context.FacesContext` | `getFacesContext()`
    `FilterConstraint` | `getFilterConstraint()`
    `java.lang.Object` | `getSortBy()` Return the value of the `sortBy` property.
    `javax.el.ValueExpression` | `getValueExpression(java.lang.String name)`
    `boolean` | `hasCellEditor()`
    `boolean` | `hasSortPriority()`
    `boolean` | `isLikelySpecifiedRendered()` The AutoAdjustRenderedColspan code should not call body column updateRendered if their rendered property has been set to anything.
    `boolean` | `isOddGroup()`
    `boolean` | `isPropertySet(java.lang.String finder)`
    `void` | `setCurrGroupLength(int currGroupLength)`
    `void` | `setOddGroup(boolean oddGroup)`
    `void` | `setSortPriority(java.lang.Integer i)` Set the value of the `sortPriority` property.
    `void` | `updateRendered(boolean rendered)` This works around the fact that rendered is not an ACE generated property, but comes from UIComponent, so is not writable to EL from the setter.

    - ### Methods inherited from class org.icefaces.ace.component.column.ColumnBase

      `getColspan, getFamily, getFilterBy, getFilterFacet, getFilterMatchMode, getFilterOptions, getFilterStyle, getFilterStyleClass, getFilterValue, getFilterValues, getFooterText, getGroupBy, getHeaderText, getLazyColumnKey, getPinningOrder, getRowspan, getSelectBy, getSortFunction, getSortPriority, getStyle, getStyleClass, isConfigurable, isHideSortControls, isReorderable, isSortAscending, isSortWhenGrouping, isStacked, setColspan, setConfigurable, setFilterBy, setFilterFacet, setFilterMatchMode, setFilterOptions, setFilterStyle, setFilterStyleClass, setFilterValue, setFilterValues, setFooterText, setGroupBy, setHeaderText, setHideSortControls, setLazyColumnKey, setPinningOrder, setReorderable, setRowspan, setSelectBy, setSortAscending, setSortBy, setSortFunction, setSortWhenGrouping, setStacked, setStyle, setStyleClass, setValueExpression`

    - ### Methods inherited from class javax.faces.component.UIColumn

      `getFooter, getHeader, setFooter, setHeader`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.icefaces.ace.component.column.IProxiableColumn

      `encodeAll, getId, getLazyColumnKey, isRendered, setLazyColumnKey`

    - ### Methods inherited from interface org.icefaces.ace.component.column.IColumn

      `getColspan, getFilterBy, getFilterMatchMode, getFilterOptions, getFilterStyle, getFilterStyleClass, getFilterValue, getFilterValues, getFooterText, getGroupBy, getHeaderText, getPinningOrder, getRowspan, getSelectBy, getSortFunction, getSortPriority, getStyle, getStyleClass, isConfigurable, isHideSortControls, isReorderable, isSortAscending, isSortWhenGrouping, isStacked, setColspan, setConfigurable, setFilterBy, setFilterMatchMode, setFilterOptions, setFilterStyle, setFilterStyleClass, setFilterValue, setFilterValues, setFooterText, setGroupBy, setHeaderText, setHideSortControls, setPinningOrder, setReorderable, setRowspan, setSelectBy, setSortAscending, setSortBy, setSortFunction, setSortWhenGrouping, setStacked, setStyle, setStyleClass`

- - ### Constructor Detail

    - #### Column

          public Column()

  - ### Method Detail

    - #### getFilterConstraint

          public FilterConstraint getFilterConstraint()

    - #### getFacesContext

          protected javax.faces.context.FacesContext getFacesContext()

      Overrides:
        `getFacesContext` in class `javax.faces.component.UIComponentBase`

    - #### getCellEditor

          public CellEditor getCellEditor()

    - #### hasCellEditor

          public boolean hasCellEditor()

      Specified by:
        `hasCellEditor` in interface `IProxiableColumn`

    - #### setSortPriority

          public void setSortPriority(java.lang.Integer i)

      Description copied from class: `ColumnBase`

      Set the value of the `sortPriority` property.

      Contents: Defines the priority of a column during sorting. The column priorities incoming from the client during a sort request overwrite any set by the application. Processing the sorted columns is done by the component whenever a client edits a sort control or the application calls table.applySorting().

      Specified by:
        `setSortPriority` in interface `IColumn`
      Overrides:
        `setSortPriority` in class `ColumnBase`

    - #### findParentTable

          public DataTable findParentTable()

      Specified by:
        `findParentTable` in interface `IProxiableColumn`

    - #### getCurrGroupLength

          public int getCurrGroupLength()

      Specified by:
        `getCurrGroupLength` in interface `IProxiableColumn`

    - #### setCurrGroupLength

          public void setCurrGroupLength(int currGroupLength)

      Specified by:
        `setCurrGroupLength` in interface `IProxiableColumn`

    - #### isOddGroup

          public boolean isOddGroup()

      Specified by:
        `isOddGroup` in interface `IProxiableColumn`

    - #### setOddGroup

          public void setOddGroup(boolean oddGroup)

      Specified by:
        `setOddGroup` in interface `IProxiableColumn`

    - #### getSortBy

          public java.lang.Object getSortBy()

      Description copied from class: `ColumnBase`

      Return the value of the `sortBy` property.

      Contents: Defines a value expression representing the value of this column per row when sorting. Setting this attribute, or the "value" attribute for a column enables sorting.

      Specified by:
        `getSortBy` in interface `IColumn`
      Overrides:
        `getSortBy` in class `ColumnBase`

    - #### getValueExpression

          public javax.el.ValueExpression getValueExpression(java.lang.String name)

      Specified by:
        `getValueExpression` in interface `IProxiableColumn`
      Overrides:
        `getValueExpression` in class `javax.faces.component.UIComponent`

    - #### hasSortPriority

          public boolean hasSortPriority()

    - #### updateRendered

          public void updateRendered(boolean rendered)

      This works around the fact that rendered is not an ACE generated property, but comes from UIComponent, so is not writable to EL from the setter.

    - #### isLikelySpecifiedRendered

          public boolean isLikelySpecifiedRendered()

      The AutoAdjustRenderedColspan code should not call body column updateRendered if their rendered property has been set to anything. We can't determine if set with non-EL, but if it's false, then it's not the default value, so was set. And if it was defaulted or intentionally set to true, then we're probably only unrendering a column if it's necessary. We just really want to avoid rendering columns specifically set not to.

    - #### isPropertySet

          public boolean isPropertySet(java.lang.String finder)

      Overrides:
        `isPropertySet` in class `ColumnBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.